Upload Local Bundle

Upload Local Bundle
Upload bundle file directly

Uploads a bundle file directly to installer via multipart form data. The returned response contains a link to the bundle status endpoint.

Notes:

  • File validation and extraction occurs during upload
  • Invalid bundles will result in FAILED status with diagnostic message
Request
URI
POST
https://{api_host}/https://{api_host}:{port}/lh-appliance/bundles/local
COPY
Query Parameters
string
type
Optional

Filter bundles by type. When specified, only bundles matching this type will be processed.

Enumeration: LICENSE_HUB, LICENSE_HUB_PATCH

Request Body
LocalUpload of type(s) multipart/form-data
Required
{
    "file": "string"
}
string As binary As binary
file
Required

Binary content of the bundle file

Authentication
This operation uses the following authentication methods.
Responses
202

Bundle file uploaded and processing initiated. The response contains a request ID and status URL for monitoring validation progress. Use the returned status URL to track processing status.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/segmentation/default-ids-profiles/b8f47985-22ed-3193-bca8-11c7b025cbce/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{"file":"string"}' https://{api_host}/https://{api_host}:{port}/lh-appliance/bundles/local